List your conversations
curl --request GET \
--url https://api.hi-doctor.ai/v1/users/conversations/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hi-doctor.ai/v1/users/conversations/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hi-doctor.ai/v1/users/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000005",
"user": {
"id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000001",
"email": "patient@example.com",
"first_name": "Alex",
"last_name": "Moreno",
"locale": "en"
},
"created_at": "2026-08-02T11:43:49.831536Z",
"updated_at": "2026-08-03T06:55:00Z",
"is_active": true,
"pinned_at": null,
"last_message": {
"id": "0a1b2c3d-4e5f-4a6b-8c9d-00000000000m",
"sender": "0a1b2c3d-4e5f-4a6b-8c9d-00000000000d",
"sender_type": "DOCTOR",
"content": "I will check in with you in two weeks.",
"file": null,
"is_read": true,
"created_at": "2026-08-03T06:55:00Z"
},
"last_message_created_at": "2026-08-03T06:55:00Z",
"last_message_sender_type": "DOCTOR",
"unread_count": 0,
"subscription_status": "active"
}
]
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid"
}
]
}Messages
List your conversations
Self-scoped.
GET
/
v1
/
users
/
conversations
/
List your conversations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Which field to use when ordering the results.
Number of results to return per page.
The initial index from which to return the results.
⌘I